Class | Tree
In: | app/models/tree.rb
Parent: | ActiveRecord::Base

     Clase para los árboles de categorías, o dicho de otro modo, los diferentes

menús de la web (Menú de Irekia, Canales de Web TV, Menu de Agencia)

### Methods

find_ma_menu_tree find_menu_tree find_web_tv_tree

### Public Class methods

find_ma_menu_tree()

Menú de Agencia

[Source]

        # File app/models/tree.rb, line 19
    19:   def self.find_ma_menu_tree
    20:     find_by_name_es('Menu Agencia')
    21:   end

find_menu_tree()

Menú de Irekia

[Source]

        # File app/models/tree.rb, line 14
    14:   def self.find_menu_tree
    15:     find_by_name_es('Menu')
    16:   end

find_web_tv_tree()

Canales de WebTV

[Source]

        # File app/models/tree.rb, line 9
     9:   def self.find_web_tv_tree
    10:     find_by_name_es('Canales WebTV')
    11:   end

[Validate]